#ifndef FRAMEVIEWER_H
#define FRAMEVIEWER_H

#include <QWidget>
#include <QGraphicsView>
#include <QGraphicsScene>
#include <QGraphicsPixmapItem>
#include <QList>
#include <QMap>
#include <QKeyEvent>

#include "framegraphicsview.h"
#include "polyareagraphicsitem.h"


class FrameViewer : public QWidget
{
    Q_OBJECT
public:
    explicit FrameViewer(QWidget *parent = 0, Qt::WindowFlags f = 0);


    // components
    FrameGraphicsView* view;
    QGraphicsScene* scene;

    // graphicsitems
    QGraphicsPixmapItem* pixmapItem;



signals:


public slots:
    void resize();
    void reload();
    void doubleClicked(int x, int y, bool shift);

    void connectToState();
    void filterStateChange(int f);



};

#endif // FRAMEVIEWER_H
